Skip to main content
`Ctrl`+`K`

# DMShellSetCreateRestriction

Set the routine used to create the restriction operator

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateRestriction(DM dm, PetscErrorCode (*restriction)(DM fine, DM coarse, Mat *restrct))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- restriction - the routine to create the restriction

## Calling sequence of `restriction`

- fine - the fine `DM`

- coarse - the `DM` to restrict to

- restrct - the output restriction `Mat`

## See Also

`DM`, `DMSHELL`, `DMShellSetCreateInjection()`, `DMCreateInterpolation()`, `DMShellGetCreateRestriction()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex65.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages